# skip tests known to be problematic in a specific version
%global skip_checks_version 0.1.12
# concurrency-stress-test: https://bugzilla.gnome.org/show_bug.cgi?id=673419
%global skip_checks concurrency-stress-test

%define major 0
%define api 0.1
%define libname %mklibname %name %{api} %{major}
%define develname %mklibname -d %{name} %{api}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           babl
Version:        0.1.24
Release:        %mkrel 1
Epoch:          1
Summary:        Dynamic, any to any, pixel format conversion library
Group:          System/Libraries
License:        LGPLv3+
URL:            http://www.gegl.org/babl
Source0:        http://download.gimp.org/pub/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:  librsvg

%description
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

%package -n     %{libname}
Summary:        A library for %name
Group:          System/Libraries
Provides:       %libname = %{version}-%{release}
Obsoletes:      %{_lib}babel14

%description -n %{libname}
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

%package -n     %{develname}
Summary:        Header files for %name
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}babel14-devel
Obsoletes:      %{libname}-devel
Obsoletes:      %{_lib}%{name}-devel

%description -n %{develname}
Babl is a dynamic, any to any, pixel format conversion library.
It provides conversions between the myriad of buffer types images
can be stored in. Babl doesn't only help with existing pixel formats,
but also facilitates creation of new and uncommon ones.

GEGL uses babl both for enumeration of pixel formats as well as
conversions between them.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -fr %{buildroot} installed-docs
%makeinstall_std
cp -r docs installed-docs
cd installed-docs
rm -rf tools Makefile* *.in graphics/Makefile*
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%check
# skip tests known to be problematic in a specific version
%if "%version" == "%skip_checks_version"
pushd tests
for problematic in %skip_checks; do
        rm -f "$problematic"
        cat << EOF > "$problematic"
#!/bin/sh
:
EOF
chmod +x "$problematic"
done
popd
%endif
make check

%files -n %{libname}
%doc README NEWS TODO AUTHORS
%{_libdir}/libbabl-%{api}.so.%{major}{,.*}
%dir %{_libdir}/babl-%{api}/
%{_libdir}/babl-%{api}/16bit.so
%{_libdir}/babl-%{api}/cairo.so
%{_libdir}/babl-%{api}/CIE.so
%{_libdir}/babl-%{api}/fast-float.so
%{_libdir}/babl-%{api}/float-half.so
%{_libdir}/babl-%{api}/float.so
%{_libdir}/babl-%{api}/gegl-fixups.so
%{_libdir}/babl-%{api}/gggl-lies.so
%{_libdir}/babl-%{api}/gggl.so
%{_libdir}/babl-%{api}/gggl-table-lies.so
%{_libdir}/babl-%{api}/gggl-table.so
%{_libdir}/babl-%{api}/gimp-8bit.so
%{_libdir}/babl-%{api}/grey.so
%{_libdir}/babl-%{api}/HSL.so
%{_libdir}/babl-%{api}/HSV.so
%{_libdir}/babl-%{api}/naive-CMYK.so
%{_libdir}/babl-%{api}/simple.so
%{_libdir}/babl-%{api}/sse2-float.so
%{_libdir}/babl-%{api}/sse2-int16.so
%{_libdir}/babl-%{api}/sse2-int8.so
%{_libdir}/babl-%{api}/sse4-int8.so
%{_libdir}/babl-%{api}/sse-half.so
%{_libdir}/babl-%{api}/two-table.so
%{_libdir}/babl-%{api}/ycbcr.so

%files -n %{develname}
%doc installed-docs/*
%{_libdir}/libbabl-%{api}.so
%{_libdir}/pkgconfig/babl.pc
%dir %{_includedir}/babl-%{api}/babl
%{_includedir}/babl-%{api}/babl/*


%changelog
* Wed Feb 15 2017 luigiwalser <luigiwalser> 1:0.1.24-1.mga6
+ Revision: 1086216
- 0.1.24

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1:0.1.22-1.mga6
+ Revision: 1078946
- 0.1.22

* Sat Nov 12 2016 luigiwalser <luigiwalser> 1:0.1.20-1.mga6
+ Revision: 1066629
- 0.1.20

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:0.1.18-1.mga6
+ Revision: 1045500
- 0.1.18

* Fri Mar 11 2016 wally <wally> 1:0.1.16-1.mga6
+ Revision: 989271
- new version 0.1.16

* Mon Dec 21 2015 tv <tv> 1:0.1.14-1.mga6
+ Revision: 912936
- fix file list
- new release

* Wed Jun 24 2015 shlomif <shlomif> 1:0.1.12-2.mga6
+ Revision: 842316
- .spec cleanups + failing test

  + ovitters <ovitters>
    - new version 0.1.12

* Wed Oct 15 2014 umeabot <umeabot> 1:0.1.10-7.mga5
+ Revision: 741000
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1:0.1.10-6.mga5
+ Revision: 693474
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:0.1.10-5.mga5
+ Revision: 678093
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.1.10-4.mga4
+ Revision: 502987
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:0.1.10-3.mga3
+ Revision: 346824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 sander85 <sander85> 1:0.1.10-2.mga3
+ Revision: 275309
- Skip tests known to be problematic (from Fedora)

* Thu May 03 2012 fwang <fwang> 1:0.1.10-1.mga2
+ Revision: 234572
- new version 0.1.10

* Tue Nov 29 2011 fwang <fwang> 1:0.1.6-1.mga2
+ Revision: 174037
- new version 0.1.6

* Thu Jun 30 2011 ahmad <ahmad> 1:0.1.4-1.mga2
+ Revision: 116363
- Update to 0.1.4

* Wed Jan 19 2011 ahmad <ahmad> 1:0.1.2-3.mga1
+ Revision: 24709
- imported package babl

